> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttle実行のリストを取得

> `job_id`によって指定されたShuttleジョブの、ページ割りされた実行のリストを返します。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json GET /shuttle_runs
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_runs:
    get:
      tags:
        - Shuttle
      summary: Shuttle実行のリストを取得
      description: '`job_id`によって指定されたShuttleジョブの、ページ割りされた実行のリストを返します。'
      operationId: get_shuttle_runs_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: job_id
          in: query
          description: 実行をリスト化するShuttleジョブの一意の識別子。
          required: true
          schema:
            type: string
          example: 6a3ba68e810d9156194530a1
        - name: marker
          in: query
          description: |-
            結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

            これを使用するには、`usemarker`を`true`に設定する必要があります。
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: 返す項目の1ページあたりの最大数。
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
      responses:
        '200':
          description: Shuttle実行のページ割りされたリストを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttleRuns'
        '400':
          description: '`job_id`が指定されていない場合、またはユーザーが不正な形式の`marker`または`limit`の値を渡した場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Shuttleジョブが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttleRuns:
      description: Shuttle実行のページ割りされたリスト。
      type: object
      allOf:
        - required:
            - entries
          properties:
            entries:
              description: Shuttle実行のリスト。
              type: array
              items:
                $ref: '#/components/schemas/ShuttleRun'
        - type: object
          description: マーカーベースのページネーションについて説明しているAPIレスポンスの部分。
          properties:
            limit:
              description: >-
                これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータの`limit`と等しくなります。最大値はAPIによって異なります。
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: 次の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
            prev_marker:
              description: 前の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih
              nullable: true
      title: Shuttle実行
      x-box-resource-id: shuttle_runs_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    ShuttleRun:
      description: >-
        Shuttleジョブの過去の実行インスタンス。ジョブが開始されるたびに実行が作成されます。実行IDの形式は`{job_id}:{run_number}`です。
      type: object
      properties:
        id:
          description: Shuttle実行の一意の識別子 (`{job_id}:{run_number}`形式)。
          type: string
          example: 6a3ba68e810d9156194530a1:42
        type:
          description: 値は常に`shuttle_run`になります。
          type: string
          example: shuttle_run
          enum:
            - shuttle_run
        job_id:
          description: この実行が属しているShuttleジョブの一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1
        run_mode:
          description: >-
            実行を開始したときのモード。これは取り得る値が固定されていない文字列で、今後新しい値が追加されることが想定されています。現在ドキュメント化されている値には、`transfer`、`simulation`、`analysis`、`scan`、`unknown`があります。クライアントは、認識できない値をすべて`unknown`として扱う必要があります。
          type: string
          example: transfer
        state:
          description: >-
            Shuttle実行の現在の状態。これは取り得る値が固定されていない文字列で、今後新しい値が追加されることが想定されています。現在ドキュメント化されている値には、`running`、`stopping`、`completed`、`completed_with_errors`、`stopped`、`failed`、`timed_out`、`unknown`があります。クライアントは、認識できない値をすべて`unknown`として扱う必要があります。
          type: string
          example: completed
        started_at:
          description: 実行が開始された日時。
          type: string
          format: date-time
          example: '2026-03-15T02:00:00Z'
        ended_at:
          description: 実行が終了した日時。実行中は`null`。
          type: string
          format: date-time
          example: '2026-03-15T06:30:00Z'
          nullable: true
        duration_seconds:
          description: 実行の合計所要時間 (秒)。実行中は`null`。
          type: integer
          format: int64
          example: 16200
          nullable: true
        stats:
          description: 実行中に収集された転送に関する統計情報。
          type: object
          properties:
            bytes_sent:
              description: 実行中に転送されたバイト数。
              type: integer
              format: int64
              example: 1073741824
            files_sent:
              description: 実行中に転送されたファイル数。
              type: integer
              format: int64
              example: 4200
            folders_created:
              description: 実行中に移行先に作成されたフォルダ数。
              type: integer
              format: int64
              example: 350
            is_estimated:
              description: これらの数値が最終的な件数ではなく推定値かどうか。
              type: boolean
              example: false
          x-box-tag: shuttle
        created_by:
          description: 実行を開始したユーザー。スケジュールまたはシステムによって開始された実行の場合は`null`。
          example:
            id: '11446498'
            type: user
          oneOf:
            - $ref: '#/components/schemas/User--Base'
            - title: OpenAPI 3.0 null schema type
              description: The definition for a null schema type in OpenAPI `3.0`.
              type: object
              nullable: true
              additionalProperties: false
        available_report_sections:
          description: >-
            この実行についてリクエストできるレポートセクション。これは取り得る値が固定されていないリストで、今後新しい値が追加されることが想定されています。現在ドキュメント化されている値には、`files_and_folders`、`event_log`、`transfer_overview`、`source_users`、`target_users`、`source_collaborators`、`target_collaborators`、`source_collaborations`、`target_collaborations`があります。
          type: array
          items:
            type: string
            description: この実行で利用可能なレポートセクション。
            example: event_log
          example:
            - event_log
            - files_and_folders
      required:
        - id
        - type
        - job_id
        - run_mode
        - state
      title: Shuttle実行
      x-box-resource-id: shuttle_run_v2026.0
      x-box-tag: shuttle
    User--Base:
      description: 他のリソース内にネストされたときに使用されるユーザーのMini版の表示。
      type: object
      properties:
        id:
          description: このユーザーの一意の識別子。
          type: string
          example: '11446498'
        type:
          description: 値は常に`user`になります。
          type: string
          example: user
          enum:
            - user
          nullable: false
      required:
        - type
        - id
      title: ユーザー (Base)
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````